/*
 * testpdscstring.c
 * 
 * Copyright 2011 Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */


/** \example testpdscstring.c
 *  \author Fernando Pujaico Rivera
 *  \date 18-04-2016
 *  \brief Programa para el testeo de algunas funciones de la biblioteca.
 *  
 *  Este programa solo hace una prueba simple de las funciones que hice
 *  mas al tun tun.
 */


#include <config.h>
#include <stdlib.h>
#include <pds/pdsdatafunc.h>

int main(int argc, char* argv[])
{
    PdsCellString *Lall=NULL;
    PdsCellString *L=NULL;
 
    char cadena[]="testpdscstring.out.dat";

    ////////////////////////////////////////////////////////////////////////////

    Lall=pds_cell_string_new(0);
    if(Lall==NULL) return EXIT_FAILURE;
    
    pds_cell_string_add(Lall,"1st text");
    pds_cell_string_add(Lall,"2nd text");

    printf("\n<<<< Saving list >>>>\n");
    pds_cell_string_all_printf(Lall);

    pds_cell_string_save(cadena,Lall);


    printf("-------------------------------------------------------------\n"); 
    L=pds_cell_string_new_load(cadena);
    if(L==NULL) return EXIT_FAILURE;

    printf("\n<<<< Loading list >>>>\n");
    pds_cell_string_all_printf(L);


    return EXIT_SUCCESS;
}

